digiKam Developer Documentation: Digikam::IccPostLoadingManager Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::IccPostLoadingManager Class Reference
Inheritance diagram for Digikam::IccPostLoadingManager:

## Public Member Functions
| IccPostLoadingManager (DImg &image, const QString &filePath=QString(), const ICCSettingsContainer &settings=IccSettings::instance() ->settings())
| Constructs an IccPostLoadingManager object.
IccTransform | postLoadingManage (QWidget *const parent=nullptr)
| Carries out color management asking the user for his decision.
Public Member Functions inherited from Digikam::IccManager
| IccManager (const DImg &image, const ICCSettingsContainer &settings=IccSettings::instance() ->settings())
| Constructs an IccManager object.
IccTransform | displaySoftProofingTransform (const IccProfile &deviceProfile, const IccProfile &displayProfile)
IccTransform | displaySoftProofingTransform (const IccProfile &deviceProfile, QWidget *const displayingWidget=nullptr)
| Returns a display transform, with soft-proofing enabled for the given device profile.
IccTransform | displayTransform (const IccProfile &displayProfile)
IccTransform | displayTransform (QWidget *const displayingWidget=nullptr)
bool | hasValidWorkspace () const
DImg | image () const
IccProfile | imageProfile (ICCSettingsContainer::Behavior behavior, const IccProfile &specifiedProfile=IccProfile())
| Returns the profile that will be used to interpret the image, using the given behavior.
bool | isMissingProfile () const
bool | isProfileMismatch () const
bool | isUncalibratedColor () const
DImgLoaderObserver * | observer () const
void | setObserver (DImgLoaderObserver *const observer)
ICCSettingsContainer | settings () const
void | transform (ICCSettingsContainer::Behavior behavior, const IccProfile &specifiedProfile=IccProfile())
| Same as above, but not using default settings but the given settings.
void | transformDefault ()
| Transforms the image for full editing, using default settings.
void | transformForDisplay ()
| Transforms the image for display on screen.
void | transformForDisplay (const IccProfile &displayProfile)
void | transformForDisplay (QWidget *const widget)
void | transformForOutput (const IccProfile &outputProfile)
| Transforms the image for output to the specified output profile.
void | transformToSRGB ()
| Transforms the image to sRGB.

## Protected Attributes
QString | m_filePath

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::IccManager
static IccProfile | displayProfile (QWidget *const displayingWidget=nullptr)
static bool | isSRGB (const DImg &img)
| Returns true if a call to transformToSRGB() would have an effect.
static bool | needsPostLoadingManagement (const DImg &img)
| Returns true if the given image is marked as needing user interaction for further color management decision after loading.
static void | transformForDisplay (QImage &qimage, const IccProfile &displayProfile1=displayProfile())
| Transforms the given QImage from sRGB to given display profile.
static void | transformToSRGB (QImage &qimage, const IccProfile &inputProfile)
| Transforms the given QImage from the given inputProfile to sRGB.
Protected Member Functions inherited from Digikam::IccManager
void | getTransform (IccTransform &trans, ICCSettingsContainer::Behavior behavior, const IccProfile &specifiedProfile)
ICCSettingsContainer::Behavior | safestBestBehavior () const
void | setIccProfile (const IccProfile &profile)

## Constructor & Destructor Documentation

## ◆ IccPostLoadingManager()

Digikam::IccPostLoadingManager::IccPostLoadingManager | ( | DImg & | image,
|  | const QString & | filePath = `QString()`,
|  | const ICCSettingsContainer & | settings = `IccSettings::instance()->settings()`
| ) |  |
| explicit

The DImg will be edited. The filePath is for display only.

## Member Function Documentation

## ◆ postLoadingManage()

IccTransform Digikam::IccPostLoadingManager::postLoadingManage | ( | QWidget *const | parent = `nullptr` | ) |

Afterwards, needsPostLoadingManagement will return false.